Benvenuto!

Questo è il forum ufficiale dell'Associazione Odoo Italia. Dopo esserti registrato potrai partecipare ponendo domande o rispondendo a quelle esistenti. Non scordarti di compilare il tuo profilo e consultare le linee guida prima di iniziare a scrivere.

0

0
vittorio tomasi
Il 11/01/23, 12:13

Potrebbe anche essere che hai trasferito solo il database nella nuova istallazione e non il filestore. L'istanza in questo caso non troverà immagini, icone e file pregressi.

puoi trasferire manualmente la cartella .local/share/Odoo/filestore presente nella vecchia istallazione. Copiala nella medesima posizione della nuova istanza.


La tua risposta


0
Mycol
Il 11/01/23, 10:40

Ho pubblicato 2 volte la stessa risposta, chiedo scusa.


La tua risposta


0
Avatar

Alex Comba

--Alex Comba--
1570
| 2 0 5
Olgiate Olona, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 09/01/23, 11:15

Buongiorno,

dal traceback che hai riporto si evince che il problema è sollevato dal campo helpdesk_mgmt_portal_select_team. Verifica pertanto che sulla tua nuova installazione sia disponibile il modulo https://github.com/OCA/helpdesk/tree/14.0/helpdesk_mgmt


La tua risposta

0
Mycol
Il 11/01/23, 10:42

Buongiorno Alex, ho fatto un po' di prove e sistemazioni per questo rispondo solo adesso.

Son riuscito a risolvere il problema: praticamente i moduli sulla installazione erano più aggiornati della vecchia installazione. Ho manualmente copiato le cartelle dei moduli dall'installazione vecchia a quella nuova ed ora Odoo si apre ed è possibile utilizzarlo.

Ora però è comparso un nuovo errore: da quando ho ripristinato il database la grafica si è un po' scombinata. Le icone delle applicazioni non vengono mostrate. E' come se non caricasse le immagini o i css. Non è una cosa grave però non capisco come mai.

Magari questo è più facile da risolvere però anche in questo caso non ho idea di come farlo.

Grazie mille


La tua risposta

0
Avatar

Alex Comba

--Alex Comba--
1570
| 2 0 5
Olgiate Olona, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 11/01/23, 10:53

Prova a rigenerare gli asset. Per farlo attivi la modalità sviluppatore e clicchi sul menu evidenziato qui sotto.


La tua risposta

0
Mycol
Il 15/01/23, 12:20

Buongiorno Alex, ll problema della grafica si è risolto con il tuo suggerimento e questa è una cosa buona. Grazie mille.
Relativamente al funzionamento di Odoo invecve ho parlato troppo presto.

Il sistema si carica e mi mostra tutti i dati del vecchio server ma quando provo a fare delle modifiche mi restituisce un errore.

Odoo Server Error
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 685, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 361, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 349, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 914, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 533, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1388, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1380, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 397, in call_kw
    result = _call_kw_model_create(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 377, in _call_kw_model_create
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-96>", line 2, in create
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 326, in _model_create_single
    return create(self, arg)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/res_config.py", line 783, in create
    return super(ResConfigSettings, self).create(values)
  File "<decorator-gen-64>", line 2, in create
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 347, in _model_create_multi
    return create(self, [arg])
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_fields.py", line 534, in create
    recs = super().create(vals_list)
  File "<decorator-gen-13>", line 2, in create
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 348, in _model_create_multi
    return create(self, arg)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3842, in create
    raise ValueError("Invalid field %r on model %r" % (key, self._name))
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 641, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 317, in _handle_exception
    raise exception.with_traceback(None) from new_cause
ValueError: Invalid field 'email_from_for_fatturaPA' on model 'res.config.settings'

Questo errore me lo da nelle impostazioni quando provo a salvare (anche se fare modifiche ma semplicemente cliccando su salva) e sembrerebbe riguardare il campo "email_from_for_fatturaPA" ma come dicevo i moduli sono tutti gli stessi, le versioni di Odoo anche.



La tua risposta

0
Avatar

Alex Comba

--Alex Comba--
1570
| 2 0 5
Olgiate Olona, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 16/01/23, 08:22

> ma come dicevo i moduli sono tutti gli stessi, le versioni di Odoo anche.
Proverei comunque a sincronizzare il database con la codebase tramite un aggiornamento di all (da linea di comando) o di base (da interfaccia web).


La tua risposta

0
Mycol
Il 16/01/23, 10:38

Allora sono andato su web nel modulo base ed ho cliccato aggiorna, spero di aver fatto la cosa giusta.
E' normale che che ci metta un po di tempo? Sarà una mezz'ora che è apparso il messaggio "Connessione persa. Tentativo di riconnessione...".
Giusto per essere sicuro che sia normale :)
Grazie mille


La tua risposta

0
Avatar

Alex Comba

--Alex Comba--
1570
| 2 0 5
Olgiate Olona, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 16/01/23, 11:24

Aggiornando base implichi l'aggiornamento di tutti i moduli installati su quel database. Di conseguenza, più moduli installati ci sono più tempo ci vuole per completare l'aggiornamento.


La tua risposta

0
Mycol
Il 16/01/23, 15:20

Allora mi vengono fuori un botto di moduli da aggiornare (25/30 moduli), se clicco su applica aggiornamenti programmati il sistema però va in crash. Immagino sia un problema di memoria del vps che attualmente ha 4Gb di ram.
Immagino che debba fare manualmente tutti gli aggiornamenti entrando nel singolo modulo e cliccando su aggiorna o scaricando il modulo nuovo dal web e sostituendolo all'esistente.
Secondo te quale delle due soluzioni è migliore? (se è l'opzione giusta)


La tua risposta

0
Avatar

Alex Comba

--Alex Comba--
1570
| 2 0 5
Olgiate Olona, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 16/01/23, 15:23

Se hai già aggiornato il codice non devi far altro che aggiornare il database.


La tua risposta

0
Mycol
Il 16/01/23, 16:34

Ti dico cosa ho fatto.

  • Ho cliccato sul tasto aggiorna nel modulo "base"

  • una volta che il sistema si è ricaricato, nella lista moduli mi appare scritto "Da aggiornare"

  • Se clicco su "Applica aggiornamenti programmati" il sistema va in crash e devo ricominciare da capo tutto.

Ora non so se il codice è stato aggiornato o meno e non so come aggiornare il database.

Quando ho installato sul server locale la ISO già pronta è andato via tutto liscio senza alcun problema. Purtroppo sul VPS non mi fa caricare la ISO perché troppo pesante altrimenti non avrei questi problemi. Ho dovuto seguire questa guida https://www.howtoforge.com/how-to-install-odoo-on-debian-11/ per installare Odoo ed ora sto lottando per allinearlo alla versione della ISO. Magari sto impazzendo per nulla ed è proprio sbagliata l'installazione che ho eseguito? A questo punto preferirei resettare tutto e ricominciare da capo se c'è un modo per installare Odoo così com'è sulla ISO senza più avere questi problemi.


La tua risposta

0
Avatar

Alex Comba

--Alex Comba--
1570
| 2 0 5
Olgiate Olona, Italia
--Alex Comba--

Laureato in Matematica all'Università di Torino, FLOSS entusiasta, è tra i fondatori del LUG della sua città natale e nel 2007 fa dello sviluppo software il suo mestiere per approdare ad OpenERP nel 2012. Membro delegato Odoo Community Association, è altresì membro di diversi PSC all'interno della stessa associazione. Felice papà di due piccoli Ctrl+C Ctrl+V!

Alex Comba
Il 17/01/23, 11:11

La guida che hai seguito, ad uno sguardo veloce mi pare corretta. Ad ogni modo meglio sempre preferire quella ufficiale: https://www.odoo.com/documentation/14.0/administration/install/install.html#linux
Quando parli di ISO ti riferisci a https://odoo.pnlug.it/iso?


La tua risposta

0
Mycol
Il 16/01/23, 09:25

Come posso farlo da linea di comando?
Grazie mille


La tua risposta

0
Mycol
Il 15/01/23, 12:28

Mentre questo errore me lo da quando provo ma modificare i server della posta, sia in uscita che in entrata:

Odoo Server Error
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 685, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 361, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 349, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 914, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 533, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1388, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1380, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 399, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 386, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3011, in read
    raise ValueError("Invalid field %r on model %r" % (name, self._name))
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 641, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 317, in _handle_exception
    raise exception.with_traceback(None) from new_cause
ValueError: Invalid field 'is_fatturapa_pec' on model 'ir.mail_server'

La tua risposta

Resta informato

Informazioni sulla comunità

Forum ufficiale dell'Associazione Odoo Italia Leggi le linee guida

Strumenti di richiesta

79 follower

Statistiche

Richiesta del: 08/01/23, 16:59
Vista: 227 volte
Ultimo aggiornamento: 11/01/23, 12:13